import React from "react"
import ObjID from "../types/ObjID"
import  { ReactComponent as BreadcrumImage } from "./../assets/breadcrum.svg"

interface Props{
    path: ObjID
    onDirClick?: (path: ObjID) => void
}

const Breadcrum: React.FC<Props> = (props) => {
	const keyParts = props.path.key.split("/").filter(e=>e.length > 0)

	return (
		<ul className="flex text-gray-500 dark:text-gray-400  text-lg ">
			<div className="inline-flex items-center cursor-pointer">
				<li>
					<a>
						{props.path.bucket}
					</a>
				</li>
			</div>
			<div className="inline-flex items-center cursor-pointer">
				<BreadcrumImage className="h-5 w-auto text-gray-400" />
				<li>
					<a onClick={()=>{
						props.onDirClick?.(new ObjID(props.path.bucket,"/"))
					}}>
						root
					</a>
				</li>
			</div>

			{keyParts.map((e,i,arr)=>{
				const last = i == arr.length - 1
				return <div key={e} className="inline-flex items-center cursor-pointer">
					<BreadcrumImage className="h-5 w-auto text-gray-400" />
					<li>
						<a 
							className={`${last?"text-blue-500":""}`}
							onClick={()=>{
								if (!last){
									props.onDirClick?.(new ObjID(props.path.bucket,"/"+arr.slice(0,i-1).join("/")))
								}
							}}>{e}</a>
					</li>
				</div>
			})}
		</ul>

	)
}

export default Breadcrum
